﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter.ExcelExporter;
using Infragistics.Documents.Excel;
using System.Diagnostics;

namespace XamDataGridExportSettings
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new LibraryBusinessLogic().Categories;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            DataPresenterExcelExporter exporter = new DataPresenterExcelExporter();
            exporter.RecordExporting += new EventHandler<RecordExportingEventArgs>(exporter_RecordExporting);
            exporter.HeaderAreaExporting += new EventHandler<HeaderAreaExportingEventArgs>(exporter_HeaderAreaExporting);
            exporter.Export(xamDataGrid1,"test.xlsx",WorkbookFormat.Excel2007);
            Process.Start("test.xlsx");
        }

        void exporter_RecordExporting(object sender, RecordExportingEventArgs e)
        {
            if (e.Record.HasChildren && e.Record.VisibleIndex != 0)
            {
                e.CurrentRowIndex -= 1;
            }
        }

        void exporter_HeaderAreaExporting(object sender, HeaderAreaExportingEventArgs e)
        {
            if (e.FieldLayout.ParentFieldLayout != null)
            {
                e.CurrentRowIndex -= 1;
            }
        }
    }
}
